|  | Home · All Classes · Modules

# QGraphicsSceneHelpEvent Class Reference
[QtGui module]

The QGraphicsSceneHelpEvent class provides events when a tooltip is requested. More...

Inherits QGraphicsSceneEvent.

### Methods

- __init__ (self, QEvent.Type type = QEvent.None)
- __init__ (self, QGraphicsSceneHelpEvent other)
- QPointF scenePos (self)
- QPoint screenPos (self)

## Detailed Description

The QGraphicsSceneHelpEvent class provides events when a tooltip is requested.

When a QGraphicsView receives a QEvent of type QEvent.ToolTip, it creates a QGraphicsSceneHelpEvent, which is forwarded to the scene. You can set a tooltip on a QGraphicsItem with setToolTip(); by default QGraphicsScene displays the tooltip of the QGraphicsItem with the highest z-value (i.e, the top-most item) under the mouse position.

QGraphicsView does not forward events when "What's This" and status tip help is requested. If you need this, you can reimplement QGraphicsView.viewportEvent() and forward QStatusTipEvent events and QEvents of type QEvent.WhatsThis to the scene.

See also QEvent.

## Method Documentation

### QGraphicsSceneHelpEvent.__init__ (self, QEvent.Type type = QEvent.None)

### QGraphicsSceneHelpEvent.__init__ (self, QGraphicsSceneHelpEvent other)

### QPointF QGraphicsSceneHelpEvent.scenePos (self)

Returns the position of the mouse cursor in scene coordinates at the moment the help event was sent.

See also screenPos().

### QPoint QGraphicsSceneHelpEvent.screenPos (self)

Returns the position of the mouse cursor in screen coordinates at the moment the help event was sent.

See also scenePos().